import { baseFetch, ResponseDataEntity } from '.';
import { Rate } from '../types/Device/Device';

export enum ScanTrigger {
  false = 0,
  true = 1,
}

type Params = {
  customerId: number;
  equipmentNum: string;
  serviceId: number;
  isScanTrigger: ScanTrigger;
};
type DeviceInfoResponse = {
  code: string;
  // 设备编码

  isCurrentUserUsed: number;
  // 是否当前人使用 1：是，0：否

  isOnline: number;
  // 是否上线 1：是，0：否

  isUsed: number;
  // 是否被使用 1：是，0：否

  operatorId: number;
  // 运营商Id

  operatorName: string;
  // 运营商名称

  position: string;
  // 位置名称

  positionId: string;
  // 位置id
  rates: Rate[];

  // 是否纯蓝牙设备 1：是，0：否
  isOnlyBluetooth: number;

  // 区域id
  areaId: number;

  // 区域名称
  areaName: string;
};
type SmaproPrepayConfig = {
  createAt: string;
  // 创建时间

  id: number;
  // 会员id

  isMajor: number;
  // 是否主要功能 1：主要功能；2：附加功能

  isOpen: number;
  // 是否开启

  isShowRate: number;
  // 是否显示费率 0：否；1：是。默认1

  name: string;
  // 名称

  operateId: number;
  // 运营商id

  operateName: string;
  // 运营商名称

  prepayMoney: number;
  // 预付金额

  serviceId: number;
  // 服务类型id

  serviceName: string;
  // 服务名称

  sortId: number;
  // 序号

  updateAt: string;
  // 更新时间

  duration: number;
};
type ResponseData = {
  deviceInfoResponse: DeviceInfoResponse;
  prepayConfigs: SmaproPrepayConfig[];
};

export const getDeviceConfig = (
  entity: Params
): Promise<ResponseDataEntity<ResponseData>> =>
  baseFetch({
    url: '/smapro/prepay/config/wxmini',
    method: 'POST',
    data: entity,
  });
