export enum DeviceRefundMode {
  needRefund = 1,
  notRefund = 2,
}
export enum OnlyBluetooth {
  false = 0,
  true = 1,
}

export type Rate = {
  mark: string;
  // 费率描述

  name: string;
  // 费率名称

  duration: number;
  // 消费时长，单位分钟

  money: number;
  // 费率金额
};

export type Device = {
  refundMode: DeviceRefundMode;
  originCode: string;
  code: string;
  isCurrentUserUsed: number;
  isOnline: number;
  isUsed: number;
  operatorId: number;
  operatorName: string;
  position: string;
  positionId: string;
  rates: Rate[];
  serviceId: number;
  serviceName: string;
  isOnlyBluetooth: OnlyBluetooth;
  areaId: number;
  areaName: string;
};
